Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
Class Compile

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.SourceTask
                      org.gradle.api.tasks.compile.Compile

All Implemented Interfaces:
  groovy.lang.GroovyObject, java.lang.Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, PatternFilterable

Direct Known Subclasses:
  GroovyCompile, ScalaCompile

    public class Compile

extends SourceTask

Field Summary
`protected org.gradle.api.tasks.compile.AntJavac` | `antCompile`

Fields inherited from interface org.gradle.api.Task
`AUTOSKIP_PROPERTY_PREFIX, TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`Compile()`

Method Summary
`protected void` | `compile()`
`java.lang.Iterable<java.io.File>` | `getClasspath()`
`java.io.File` | `getDependencyCacheDir()`
`java.io.File` | `getDestinationDir()`
`org.gradle.api.tasks.compile.CompileOptions` | `getOptions()`
`java.lang.String` | `getSourceCompatibility()`
`java.lang.String` | `getTargetCompatibility()`
`void` | `setAntCompile(org.gradle.api.tasks.compile.AntJavac antCompile)`
`void` | `setClasspath(FileCollection configuration)`
`void` | `setDependencyCacheDir(java.io.File dependencyCacheDir)`
`void` | `setDestinationDir(java.io.File destinationDir)`
`void` | `setOptions(org.gradle.api.tasks.compile.CompileOptions options)`
`void` | `setSourceCompatibility(java.lang.String sourceCompatibility)`
`void` | `setTargetCompatibility(java.lang.String targetCompatibility)`

Methods inherited from class org.gradle.api.tasks.SourceTask
`exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, setExcludes, setIncludes, setSource, source`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.DefaultTask
`configure, doFirst, doLast, leftShift`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getOutput, getPath, getProject, getStandardOutputCapture, getTaskDependencies, hashCode, hasProperty, injectIntoNextInstance, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setOutputHandler, setProject, setProperty, setStandardOutputCapture, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

Field Detail

### antCompile

    protected org.gradle.api.tasks.compile.AntJavac antCompile

Constructor Detail

### Compile

    public Compile()

Method Detail

### compile

    protected void compile()

### getClasspath

    public java.lang.Iterable<java.io.File> getClasspath()

### setClasspath

    public void setClasspath(FileCollection configuration)

### getDestinationDir

    public java.io.File getDestinationDir()

### setDestinationDir

    public void setDestinationDir(java.io.File destinationDir)

### getDependencyCacheDir

    public java.io.File getDependencyCacheDir()

### setDependencyCacheDir

    public void setDependencyCacheDir(java.io.File dependencyCacheDir)

### getSourceCompatibility

    public java.lang.String getSourceCompatibility()

### setSourceCompatibility

    public void setSourceCompatibility(java.lang.String sourceCompatibility)

### getTargetCompatibility

    public java.lang.String getTargetCompatibility()

### setTargetCompatibility

    public void setTargetCompatibility(java.lang.String targetCompatibility)

### getOptions

    public org.gradle.api.tasks.compile.CompileOptions getOptions()

### setOptions

    public void setOptions(org.gradle.api.tasks.compile.CompileOptions options)

### setAntCompile

    public void setAntCompile(org.gradle.api.tasks.compile.AntJavac antCompile)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD